function PanelLayout(o) {
    // fields private
    var param = o || {}
    var self = this;
    var containerId = param.containerId || "layout-container";

    self.Container = $("#" + containerId);

    self.getSouthHeight = function () {
        return self.Container.layout('panel', 'south').panel('options').height;
    };

    self.getSouthWidth = function () {
        return self.Container.layout('panel', 'south').panel('options').width;
    };
}